%define name    xmms-singit
%define version 0.1.10
%define release 3mdk

Summary: Lyrics plugin for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
URL: http://stud.vas.fh-darmstadt.de/glogowski/
Source: %name-%version.tar.bz2
License: GPL
Requires: xmms >= 1.2.0
BuildRequires: libxmms1-devel
BuildRoot: %{_tmppath}/%{name}-buildroot

# [pixel] in case someone wants it, don't remove it PLEASE!
Patch1: xmms-singit-0.1.6-renice-for-big-looking.patch.bz2

%description
This XMMS plugin displays formatted lyrics. It was mainly inspired by
a Winamp (tm) plugin called "Kuo's Lyrics Visualization Plugin" by
Kuo Shiang-Shiang.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
#%patch1 -p1

%build
%configure --enable-one-plugin-dir
%make

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}/xmms/Visualization/

install -m 755 xmms-singit/.libs/libxmms_singit.so \
  $RPM_BUILD_ROOT%{_libdir}/xmms/Visualization/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/xmms/*/*.so

%changelog
* Fri Aug 24 2001 Etienne Faure <etienne@mandrakesoft.com> 0.1.10-3mdk
- rebuild

* Thu Mar 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.10-2mdk
- fix buildrequires

* Fri Feb 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1.10-1mdk
- updated to 0.1.10

* Sun Jan 21 2001 Pixel <pixel@mandrakesoft.com> 0.1.8-1mdk
- new version
- update the patch

* Tue Dec 19 2000 Pixel <pixel@mandrakesoft.com> 0.1.6-1mdk
- new version
- add timeshift feature
- include a patch for big fonts, but not applied. Included if someone (me? :)
wants it...

* Fri Sep 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.0-1mdk
- used srpm from :
	Mon Sep 25 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  	- v0.1.0-1mdk
  	- bz2 archive
